version: '3.8'

services:
  # 1. 백엔드 서비스 (Node.js)
  backend-app:
    build: ./backend # backend 폴더의 Dockerfile을 사용해 빌드
    ports:
      - "5360:3000" # 호스트(내컴퓨터) 5360번 <-> 컨테이너 3000번 연결
    container_name: map-backend

  # 2. 프론트엔드 서비스 (Nginx)
  frontend-app:
    image: nginx:alpine # 별도 Dockerfile 없이 Nginx 공식 이미지 사용
    ports:
      - "5361:80" # 호스트 5361번 <-> 컨테이너 80번 연결
    volumes:
      - ./frontend:/usr/share/nginx/html/map-project # [MODIFIED] URL 경로 (/map-project)에 맞춰 폴더명 변경
    container_name: map-frontend
